List Users
curl --request GET \
--url https://api.embedads.com/advertisers/{advertiserID}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.embedads.com/advertisers/{advertiserID}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal server error"
}
Advertiser Users
List Users
List of users who can access the Advertiser’s account in the admin portal. You can also view this on the Advertiser’s Users page in the admin portal.
GET
/
advertisers
/
{advertiserID}
/
users
List Users
Query Parameters
The maximum number of advertisers to return. Must be between 1 and 20.
The page number of the results.
Path Parameters
The advertiser ID.
Response
The advertiser ID.
The email address of the user.
A timestamp of when the user was created.
The role of the user. Currently, only
ADMIN is supported.[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "Page size must be between 1 and 20"
}
{
"error": "Internal server error"
}
⌘I